Config = {}
Config.RandomMissions =false --set false for linear progression
Config.MissionSpaceTime = 10000 --milliseconds between missions
--these below can be overriden per mission
Config.TargetKillReward = 1000 --cash
Config.KillReward = 100 --cash
Config.FinishedObjectiveReward = 5000 --cash
Config.HostageKillPenalty = 2000  --cash
Config.HostageRescueReward = 500  --cash
Config.CleanupPickups = true --cleanup any remaining pickups when a new mission starts?
Config.EnemiesCanSpawnPickups = false --< experimental, *may* potentially spawn different pickups for different clients
									 --  now will try to spawn a weapon from the what the ped had, does not seem to spawn the same weapon, *seems* to be random.
									 									 
Config.HostageRescue = false	
Config.IsDefend = false

Config.FailedMessage = "Mission Failed!"						 
									 
Config.SpawnMissionPickupsOnPlayer = true 
Config.SpawnRewardPickupsOnPlayer = true
Config.SpawnMissionComponentsOnPlayer = true 
Config.SpawnRewardComponentsOnPlayer = true 
Config.SpawnMissionPickups = {"WEAPON_CARBINERIFLE","WEAPON_COMBATPISTOL","WEAPON_KNIFE","GADGET_NIGHTVISION"}
Config.SpawnRewardPickups = {"WEAPON_RPG","WEAPON_COMBATPISTOL","WEAPON_KNIFE","GADGET_PARACHUTE"}    
Config.SpawnMissionComponents = {"COMPONENT_AT_PI_SUPP WEAPON_COMBATPISTOL"} --space between attachment/component and weapon it goes on
Config.SpawnRewardComponents = {"COMPONENT_AT_PI_FLSH WEAPON_COMBATPISTOL"}    --space between attachment/component and weapon it goes on



--Config.UseESX=false    

--List of vehicles with their seatid for the turrets
--**You can seatids to auto-fill passengers as well, not just turrets***
Config.VehicleTurretSeatIds = {
	apc = {0},
	barrage = {1,2},
	halftrack = {1},
	dune3 = {0},
	insurgent = {7},
	insurgent3 = {7},
	technical = {1},
	technical2 = {1},
	technical3 = {1},
	limo2 = {3},
	menacer = {3},
	boxville5 = {3}
} 



--**START RANDOM MISSION GENERATOR SETTINGS**--
Config.RandomMissionSpawnRadius = 25.0 --keep a float for enemy ped wandering to work
Config.RandomMissionMaxPedSpawns = 20
Config.RandomMissionMinPedSpawns = 5
Config.RandomMissionMaxVehicleSpawns = 3
Config.RandomMissionMinVehicleSpawns = 1
Config.RandomMissionChanceToSpawnVehiclePerTry = 75
Config.RandomMissionAircraftChance = 25


Config.StartMessageObj = "Capture the objective!"
Config.FinishMessageObj = "Mission Completed!"
Config.MissionTitleObj = "Takeover"
Config.MissionMessageObj = "Capture the objective!"	
	
Config.StartMessageAss = "Eliminate the targets!"
Config.FinishMessageAss = "Mission Completed!"
Config.MissionTitleAss = "Elimination"
Config.MissionMessageAss = "Eliminate the targets"		
	


Config.RandomMissionTypes = {"Assassinate","Objective"}
Config.RandomMissionWeapons = {0xE284C527,0x83BF0278,0xBFEFFF6D}

Config.RandomMissionPositions = { 

{ x = -973.87, y = -273.67, z = 38.26}, --cul de sac near studios
 
{ x = -1102.97, y = -424.98, z = 44.37 }, --news channel/studio building roof
{ x = -1223.9, y = -493.83, z = 31.51 }, --news channel/studio in cul de sac

{ x = 2840.52, y = -1449.96, z = 11.95, MissionTitle="Pitcairn Island", MissionMessage="Liberate the island"}, --island

{ x = 1074.41, y = 3072.94, z = 40.82}, --desert airstrip

{x = -149.29, y = -960.51, z = 269.13}, --construction tower

{ x = -1393.62, y = -2562.09, z = 13.95 }, --airport

{ x = 137.07, y = -3204.05, z = 5.86 }, --walkers docks
{ x = -1828.32, y = -1218.22, z = 13.03 }, --pier

{ x = -547.74, y = -1477.3, z = 10.14 }, --center greenery	

{ x = 1485.24, y = -2358.31, z = 72.44 }, --oilfields


{ x = 58.43, y = -1133.28, z = 29.34}, --los santos road
{ x = -808.9, y = -1302.95, z = 5.0 }, --yacht club

{ x = 31.0, y = -767.1, z = 44.24 }, --center los santos

{ x = 1874.74, y = 299.22, z = 162.82 }, --resevoir

{ x = 1373.59, y = -739.58, z = 67.23 }, --cul de sac

{ x = 1150.09, y = 124.3, z = 82.12}, --race track

--'force = true' stops ray trace checking for spawn points for peds and vehicles, so peds/vehicles can spawn underneath structures... near the spawn location 
--this also means that peds/vehicles can spawn hidden in buildings, so this forces the mission type to be "Objective"
--{ x = -177.69, y = -165.11, z = 44.03, force=true }, --hotel north los santos 

{ x = -2237.38, y = 266.45, z = 174.62 },
 --ritz hotel

{ x = -412.9, y = 1170.53, z = 325.84}, --observatory

{ x = 756.1, y = 1284.89, z = 360.3 }, --vinewood sign

{ x = -1907.85, y = 2037.05, z = 140.74}, --vineyard

{ x = -1833.24, y = 2152.89, z = 115.7}, --vineyard 2

{ x = -2548.21, y = 2705.28, z = 2.84 }, --outside base

{ x = -2405.68, y = 4253.63, z = 9.82}, --nw beach

{ x = 57.0, y = 3717.01, z = 39.75},--lost caravans
{ x = 1816.42, y = 3794.64, z = 33.65}, --south salton
{ x = 1313.35, y = 4327.67, z = 38.21 }, --north salton

{ x = 3572.73, y = 3665.03, z = 33.89}, --humane labs

{ x = 3803.26, y = 4462.52, z = 4.75 }, --north east coast

{ x = -1122.74, y = 4924.89, z = 218.67  }, --cult

{ x = -578.96, y = 5321.1, z = 70.21  }, --sawmill

{ x = -31.49, y = 6441.9, z = 31.43 }, --parking lot uppoer NW

{ x = 28.76, y = 6216.7, z = 31.54 }, --by railyard upper nw
{ x = 1429.43, y = 6517.94, z = 18.91 }, --uppper coast

}



--{{ x = 1074.41, y = 3072.94, z = 40.82},{ x = 302.86, y = 4373.86, z = 51.61 }, { x = -2074.59, y = 1475.03, z = 275.15 }, {x = 1657.106, y = 428.6742, z = 245.6912}}
Config.RandomMissionPeds = {"s_m_y_ammucity_01","s_m_y_xmech_02","U_M_Y_Tattoo_01","g_m_m_chicold_01"}
Config.RandomMissionFriendlies = {"a_f_m_tourist_01","a_m_y_vinewood_03","a_m_m_tourist_01","a_m_y_genstreet_01","a_f_o_genstreet_01","a_m_y_genstreet_02","a_f_y_genhot_01"}
Config.RandomMissionVehicles = {	"apc",
	"barrage",
	"halftrack",
	"dune3",
	"insurgent",
	"insurgent3",
	"technical",
	"technical2",
	"technical3",
	"limo2",
	"menacer",
	"rhino",
	"khanjali",
	"trailersmall2",
	"tampa3"
}


Config.RandomMissionAircraft = {
"hydra",
"lazer",
"strikeforce"
}

Config.RandomMissionProps = {
	"ba_prop_battle_crate_m_hazard",
	"imp_prop_impexp_boxcoke_01",
	"ex_prop_crate_expl_sc",
	"sm_prop_smug_crate_l_narc",
	"ex_prop_crate_money_sc",
	"ex_prop_crate_jewels_racks_sc",
	"prop_large_gold",
	"xm_prop_crates_sam_01a",
	"prop_drop_crate_01_set",
	"prop_box_ammo03a_set2",
	"prop_biotech_store",
	"prop_air_cargo_04c",
	"prop_air_cargo_04a",
	"hei_prop_carrier_bombs_1",
	"ex_prop_crate_narc_sc",
	"prop_weed_pallet",
	"prop_cash_crate_01",
	"prop_box_ammo03a_set",
	"hei_prop_heist_weed_pallet_02",
	"hei_prop_carrier_cargo_05b"
	
	
	}


--**END RANDOM MISSION GENERATOR SETTINGS**--


Config.Missions = {

  
 Mission1 = {
    
 	StartMessage = "",
	FinishMessage = "Mission Completed!",
	MissionTitle = "",
	MissionMessage = "New Mission",	
	
	--Obj/Ass values are the messages used depending on which random Type is selected Objective or Assassinate
	--The real messages (values above), will be set to the below, based on which Type
	StartMessageObj = "Capture the objective!",
	FinishMessageObj = "Mission Completed!",
	MissionTitleObj = "Takeover",
	MissionMessageObj = "Capture the objective!",	
	
	StartMessageAss = "Eliminate the targets!",
	FinishMessageAss = "Mission Completed!",
	MissionTitleAss = "Elimination",
	MissionMessageAss = "Eliminate the targets",		
	
	Type = "Objective",	
	IsRandom = true,
	--RandomLocation = true, --for completely random location.. 
	
	Blip = {
      Title = "Objective",
      Position = { x = -10000, y = 0, z =  0},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = -10000, y = 0, z = 0}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	
	Props = { 
		--**need a stub entry set for the random prop**
		{ id=1, Name="",Position = { x = 0, y = 0, z = 0, heading = 0 }},
	
    },
	
	Peds = {
		--**need a stub entry set for the random ped hostage for HostageRescue=true**
      {id = 1, Position = { x = 0, y = 0, z = 0, heading = 0 }},
     },
	

	Pickups = {
		
	},
	MissionPickups = {
		
		
	}

  

  },
  
  --[[
  Mission13 = {
    
    StartMessage = "ATTACK THE OBJECTIVE!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Random Mission",
	MissionMessage = "Random Mission",	
	Type = "Objective",	

    Blip = {
       Title = "Objective",
      Position = { x = -58.62, y = -872.91, z = 40.58},
      Icon     = 58,
       Display  = 4,
     Size     = 1.2,
      Color    = 1,
     },
	   Marker = {
      Type     = 1,
      Position = { x = -58.62, y = -872.91, z = 40.58}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },

    Peds = {
     {id = 1, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = 1074.41, y = 3072.94, z = 40.82, heading = 143.9,wander=true},
      {id = 2, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -179.47, y = -1078.39, z = 30.14, heading = 82.01},
        {id = 3, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -173.8, y = -1062.78, z = 30.14, heading = 60.94},
         {id = 4, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -160.2, y = -1067.93, z = 30.14, heading = 3.31448912620544},
         {id = 5, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -165.83, y = -1083.26, z = 30.14, heading = 3.31448912620544},
        {id = 6, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -179.47, y = -1078.39, z = 36.13, heading = 82.01},
       {id = 7, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -173.8, y = -1062.78, z = 36.13, heading = 60.94},
         {id = 8, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -160.2, y = -1067.93, z = 36.13, heading = 3.31448912620544},
        {id = 9, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -165.83, y = -1083.26, z = 36.13, heading = 3.31448912620544},
         {id = 10, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -179.47, y = -1078.39, z = 42.13, heading = 82.01},
         {id = 11, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -173.8, y = -1062.78, z = 42.13, heading = 60.94},
         {id = 12, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -160.2, y = -1067.93, z = 42.13, heading = 3.31448912620544},
        {id = 13, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -165.83, y = -1083.26, z = 42.13, heading = 3.31448912620544},
		
     },

    Vehicles = {
       {id = 1, Weapon = 0x83BF0278, Vehicle = "buzzard", modelHash = "s_m_y_ammucity_01",ExtraPeds={{id=2,seatid=3}},x = -58.62, y = -872.91+5.0, z = 40.58, heading = 143.9},
    }

   },
 
  ]]--

--   Mission5 = {
    
--     StartMessage = "ATTACK THE OBJECTIVE!",

--     Blip = {
--       Title = "Objective",
--       Position = { x = -187.2, y = -1091.96, z = 27.16 },
--       Icon     = 58,
--       Display  = 4,
--       Size     = 1.2,
--       Color    = 1,
--     },

--     Peds = {
--         -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
--         {id = 1, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -187.2, y = -1091.96, z = 27.16, heading = 27.16},
--         {id = 2, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -179.47, y = -1078.39, z = 30.14, heading = 82.01},
--         {id = 3, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -173.8, y = -1062.78, z = 30.14, heading = 60.94},
--         {id = 4, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -160.2, y = -1067.93, z = 30.14, heading = 3.31448912620544},
--         {id = 5, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -165.83, y = -1083.26, z = 30.14, heading = 3.31448912620544},
--         {id = 6, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -179.47, y = -1078.39, z = 36.13, heading = 82.01},
--         {id = 7, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -173.8, y = -1062.78, z = 36.13, heading = 60.94},
--         {id = 8, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -160.2, y = -1067.93, z = 36.13, heading = 3.31448912620544},
--         {id = 9, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -165.83, y = -1083.26, z = 36.13, heading = 3.31448912620544},
--         {id = 10, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -179.47, y = -1078.39, z = 42.13, heading = 82.01},
--         {id = 11, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -173.8, y = -1062.78, z = 42.13, heading = 60.94},
--         {id = 12, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -160.2, y = -1067.93, z = 42.13, heading = 3.31448912620544},
--         {id = 13, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -165.83, y = -1083.26, z = 42.13, heading = 3.31448912620544},
--     },

--    Vehicles = {
--        {id = 1, id2 = 1, Vehicle = "rhino", modelHash = "s_m_y_ammucity_01", x = -203.92, y = -1096.21, z = 21.16, heading = 143.9},
--    }

--   },

}
