Config = {}
Config.RandomMissions =false --set false for linear progression
Config.MissionSpaceTime = 10000 --milliseconds between missions
--these below can be overriden per mission
Config.TargetKillReward = 1000 --cash
Config.KillReward = 100 --cash
Config.FinishedObjectiveReward = 5000 --cash
Config.HostageKillPenalty = 2000  --cash
Config.HostageRescueReward = 500  --cash
Config.CleanupPickups = true --cleanup any remaining pickups when a new mission starts?
Config.EnemiesCanSpawnPickups = false --< experimental, *may* potentially spawn different pickups for different clients
									 --  now will try to spawn a weapon from the what the ped had, does not seem to spawn the same weapon, *seems* to be random.
									 									 
Config.HostageRescue = false	

Config.FailedMessage = "Mission Failed!"						 
									 
Config.SpawnMissionPickupsOnPlayer = false 
Config.SpawnRewardPickupsOnPlayer = false
Config.SpawnMissionComponentsOnPlayer = false 
Config.SpawnRewardComponentsOnPlayer = false 
Config.SpawnMissionPickups = {"WEAPON_CARBINERIFLE","WEAPON_COMBATPISTOL","WEAPON_KNIFE","GADGET_NIGHTVISION"}
Config.SpawnRewardPickups = {"WEAPON_RPG","WEAPON_COMBATPISTOL","WEAPON_KNIFE","GADGET_PARACHUTE"}    
Config.SpawnMissionComponents = {"COMPONENT_AT_PI_SUPP WEAPON_COMBATPISTOL"} --space between attachment/component and weapon it goes on
Config.SpawnRewardComponents = {"COMPONENT_AT_PI_FLSH WEAPON_COMBATPISTOL"}    --space between attachment/component and weapon it goes on




--Config.UseESX=false    

--List of vehicles with their seatid for the turrets
--**You can seatids to auto-fill passengers as well, not just turrets***
Config.VehicleTurretSeatIds = {
	apc = {0},
	barrage = {1,2},
	halftrack = {1},
	dune3 = {0},
	insurgent = {7},
	insurgent3 = {7},
	technical = {1},
	technical2 = {1},
	technical3 = {1},
	limo2 = {3},
	menacer = {3},
	boxville5 = {3}
} 

--**START RANDOM MISSION GENERATOR SETTINGS**--
Config.RandomMissionSpawnRadius = 25.0 --keep a float for enemy ped wandering to work
Config.RandomMissionMaxPedSpawns = 20
Config.RandomMissionMinPedSpawns = 5
Config.RandomMissionMaxVehicleSpawns = 3
Config.RandomMissionMinVehicleSpawns = 1
Config.RandomMissionChanceToSpawnVehiclePerTry = 75
Config.RandomMissionAircraftChance = 25


Config.StartMessageObj = "Capture the objective!"
Config.FinishMessageObj = "Mission Completed!"
Config.MissionTitleObj = "Takeover"
Config.MissionMessageObj = "Capture the objective!"	
	
Config.StartMessageAss = "Eliminate the targets!"
Config.FinishMessageAss = "Mission Completed!"
Config.MissionTitleAss = "Elimination"
Config.MissionMessageAss = "Eliminate the targets"	
	


Config.RandomMissionTypes = {"Assassinate","Objective"}
Config.RandomMissionWeapons = {0xE284C527,0x83BF0278,0xBFEFFF6D}

Config.RandomMissionPositions = { 

{ x = -973.87, y = -273.67, z = 38.26}, --cul de sac near studios
 
{ x = -1102.97, y = -424.98, z = 44.37 }, --news channel/studio building roof
{ x = -1223.9, y = -493.83, z = 31.51 }, --news channel/studio in cul de sac

{ x = 2840.52, y = -1449.96, z = 11.95, MissionTitle="Pitcairn Island", MissionMessage="Liberate the island"}, --island

{ x = 1074.41, y = 3072.94, z = 40.82}, --desert airstrip

{x = -149.29, y = -960.51, z = 269.13}, --construction tower

{ x = -1393.62, y = -2562.09, z = 13.95 }, --airport

{ x = 137.07, y = -3204.05, z = 5.86 }, --walkers docks
{ x = -1828.32, y = -1218.22, z = 13.03 }, --pier

{ x = -547.74, y = -1477.3, z = 10.14 }, --center greenery	

{ x = 1485.24, y = -2358.31, z = 72.44 }, --oilfields


{ x = 58.43, y = -1133.28, z = 29.34}, --los santos road
{ x = -808.9, y = -1302.95, z = 5.0 }, --yacht club

{ x = 31.0, y = -767.1, z = 44.24 }, --center los santos

{ x = 1874.74, y = 299.22, z = 162.82 }, --resevoir

{ x = 1373.59, y = -739.58, z = 67.23 }, --cul de sac

{ x = 1150.09, y = 124.3, z = 82.12}, --race track

--'force = true' stops ray trace checking for spawn points for peds and vehicles, so peds/vehicles can spawn underneath structures... near the spawn location 
--this also means that peds/vehicles can spawn hidden in buildings, so this forces the mission type to be "Objective"
--{ x = -177.69, y = -165.11, z = 44.03, force=true }, --hotel north los santos 

{ x = -2237.38, y = 266.45, z = 174.62 },
 --ritz hotel

{ x = -412.9, y = 1170.53, z = 325.84}, --observatory

{ x = 756.1, y = 1284.89, z = 360.3 }, --vinewood sign

{ x = -1907.85, y = 2037.05, z = 140.74}, --vineyard

{ x = -1833.24, y = 2152.89, z = 115.7}, --vineyard 2

{ x = -2548.21, y = 2705.28, z = 2.84 }, --outside base

{ x = -2405.68, y = 4253.63, z = 9.82}, --nw beach

{ x = 57.0, y = 3717.01, z = 39.75},--lost caravans
{ x = 1816.42, y = 3794.64, z = 33.65}, --south salton
{ x = 1313.35, y = 4327.67, z = 38.21 }, --north salton

{ x = 3572.73, y = 3665.03, z = 33.89}, --humane labs

{ x = 3803.26, y = 4462.52, z = 4.75 }, --north east coast

{ x = -1122.74, y = 4924.89, z = 218.67  }, --cult

{ x = -578.96, y = 5321.1, z = 70.21  }, --sawmill

{ x = -31.49, y = 6441.9, z = 31.43 }, --parking lot uppoer NW

{ x = 28.76, y = 6216.7, z = 31.54 }, --by railyard upper nw
{ x = 1429.43, y = 6517.94, z = 18.91 }, --uppper coast

}



--{{ x = 1074.41, y = 3072.94, z = 40.82},{ x = 302.86, y = 4373.86, z = 51.61 }, { x = -2074.59, y = 1475.03, z = 275.15 }, {x = 1657.106, y = 428.6742, z = 245.6912}}
Config.RandomMissionPeds = {"s_m_y_ammucity_01","s_m_y_xmech_02","U_M_Y_Tattoo_01","g_m_m_chicold_01"}
Config.RandomMissionFriendlies = {"a_f_m_tourist_01","a_m_y_vinewood_03","a_m_m_tourist_01","a_m_y_genstreet_01","a_f_o_genstreet_01","a_m_y_genstreet_02","a_f_y_genhot_01"}
Config.RandomMissionVehicles = {	"apc",
	"barrage",
	"halftrack",
	"dune3",
	"insurgent",
	"insurgent3",
	"technical",
	"technical2",
	"technical3",
	"limo2",
	"menacer",
	"rhino",
	"khanjali",
	"trailersmall2",
	"tampa3"
}


Config.RandomMissionAircraft = {
"hydra",
"lazer",
"strikeforce"
}

Config.RandomMissionProps = {
	"ba_prop_battle_crate_m_hazard",
	"imp_prop_impexp_boxcoke_01",
	"ex_prop_crate_expl_sc",
	"sm_prop_smug_crate_l_narc",
	"ex_prop_crate_money_sc",
	"ex_prop_crate_jewels_racks_sc",
	"prop_large_gold",
	"xm_prop_crates_sam_01a",
	"prop_drop_crate_01_set",
	"prop_box_ammo03a_set2",
	"prop_biotech_store",
	"prop_air_cargo_04c",
	"prop_air_cargo_04a",
	"hei_prop_carrier_bombs_1",
	"ex_prop_crate_narc_sc",
	"prop_weed_pallet",
	"prop_cash_crate_01",
	"prop_box_ammo03a_set",
	"hei_prop_heist_weed_pallet_02",
	"hei_prop_carrier_cargo_05b"
	
	
	}


--**END RANDOM MISSION GENERATOR SETTINGS**--


Config.Missions = {

  Mission1 = {
    --only around 98 characters will display for these messages
    StartMessage = "Problème Asiatique, Sécurisé la Zone",
	FinishMessage = "Mission Terminer!",
	MissionTitle = "P.A.S Portuaire",
	MissionMessage = "Problème Asiatique, Sécurisé la Zone",
	Type = "Objective",
	FinishedObjectiveReward = 10000,
	TargetKillReward = 1500, 
	KillReward = 150,
	HostageRescue = true,	
    HostageKillPenalty = 10000,  --cash
    HostageRescueReward = 7500,
	
	
    Blip = {
      Title = "Objective",
      Position = { x = 33.13, y = -2719.28, z = 12.52 },
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = 33.13, y = -2719.28, z = 12.52 },
      Size     = {x = 3.0, y = 3.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },

	Props = {
		{ id=1, realId=1, Name = "hei_prop_heist_ammo_box", Position = { x = 28.91, y = -2719.5, z = 13.52, heading = 0.0 }},
		{ id=2, realId=2, Name = "hei_prop_heist_ammo_box", Position = { x = 40.11, y = -2719.85, z = 13.52, heading = 0.0 }},
		{ id=3, realId=3, Name = "prop_box_ammo01a", Position = { x = 19.2, y = -2664.93, z = 9.76, heading = 0.0 }},
		{ id=4, realId=4, Name = "prop_box_ammo01a", Position = { x = 28.03, y = -2682.12, z = 12.24, heading = 0.0 }},
	
    },
	Pickups = {
		{ id=1, Name = "PICKUP_WEAPON_ASSAULTRIFLE", Amount = 1.0, Position = { x = 28.91, y = -2719.5, z = 13.52, heading = 0.0 }},
		{ id=2, Name = "PICKUP_WEAPON_SMG", Amount = 1.0, Position = { x = 40.11, y = -2719.85, z = 13.52, heading = 0.0 }},
		
	},
	
		MissionPickups = {
		{ id=1, Name = "PICKUP_HEALTH_STANDARD", Amount = 1.0, Position = { x = 27.2, y = -2657.37, z = 12.25, heading = 0.0 }},
		{ id=2, Name = "PICKUP_ARMOUR_STANDARD", Amount = 1.0, Position = { x = 43.37, y = -2676.4, z = 6.21, heading = 0.0 }},
		{ id=3, Name = "PICKUP_HEALTH_STANDARD", Amount = 1.0, Position = { x = 20.79, y = -2660.64, z = 9.96, heading = 0.0 }},
		{ id=4, Name = "PICKUP_ARMOUR_STANDARD", Amount = 1.0, Position = { x = 39.54, y = -2687.1, z = 6.37, heading = 0.0 }},
		{ id=5, Name = "PICKUP_HEALTH_STANDARD", Amount = 1.0, Position = { x = 27.95, y = -2683.39, z = 12.24, heading = 0.0 }},
		{ id=6, Name = "PICKUP_AMMO_BULLET_MP", Amount = 1.0, Position = { x = 28.24, y = -2682.24, z = 12.24, heading = 0.0 }},
		{ id=7, Name = "PICKUP_AMMO_BULLET_MP", Amount = 1.0, Position = { x = 19.4, y = -2665.00, z = 9.76, heading = 0.0 }},
		
	},

    Peds = {
        {id = 1, Weapon = 0x1b06d571, modelHash = "g_m_m_chigoon_01", x = 24.35, y = -2745.32, z = 13.52, heading = 254.45, armor=5, target=true},
        {id = 2, Weapon = 0x1b06d571, modelHash = "g_m_m_chigoon_01", x = 18.92, y = -2718.79, z = 12.01, heading = 312.84, armor=5, target=true},
        {id = 3, Weapon = 0x1b06d571, modelHash = "g_m_m_chigoon_02", x = 43.09, y = -2744.72, z = 13.52, heading = 351.51, armor=5, target=true},
        {id = 4, Weapon = 0x1b06d571, modelHash = "g_m_m_chigoon_02", x = 34.52, y = -2693.13, z = 12.01, heading = 169.39, armor=5, target=true},
        {id = 5, Weapon = 0x1b06d571, modelHash = "g_m_m_chigoon_01", x = 41.68, y = -2688.84, z = 12.01, heading = 85.78, armor=5, target=true},
        {id = 6, Weapon = 0x1b06d571, modelHash = "g_m_m_chigoon_01", x = 44.75, y = -2675.55, z = 17.15, heading = 84.3, armor=5, target=true},
        {id = 7, Weapon = 0x1b06d571, modelHash = "g_m_m_chigoon_02", x = 23.88, y = -2685.56, z = 12.01, heading = 345.96, armor=5, target=true},
        {id = 8, Weapon = 0x1b06d571, modelHash = "g_m_m_chigoon_02", x = 26.27, y = -2663.19, z = 12.05, heading = 71.9, armor=5, target=true},
		{id = 9, Weapon = 0x1b06d571, modelHash = "g_m_m_chigoon_02", x = 43.19, y = -2661.58, z = 6.01, heading = 63.35, armor=5, target=true},
        {id = 10, Weapon = 0x83BF0278, modelHash = "g_m_m_korboss_01", x = 48.47, y = -2699.31, z = 6.01, heading = 267.34, armor=100, target=true},
        {id = 11, Weapon = 0x83BF0278, modelHash = "g_m_m_korboss_01", x = 13.8, y = -2694.69, z = 6.01, heading = 264.27, armor=100, target=true},
        {id = 12, Weapon = 0x1b06d571, modelHash = "g_m_m_korboss_01", x = 20.43, y = -2723.15, z = 6.01, heading = 162.23, armor=100, target=true},
        {id = 13, Weapon = 0x1b06d571, modelHash = "g_m_m_korboss_01", x = 48.27, y = -2657.84, z = 9.32, heading = 21.75, armor=100, target=true, wander=true},
        {id = 14, modelHash = "g_m_m_chiboss_01", x = 40.68, y = -2719.21, z = 13.52, heading = 285.59, friendly=true},

    },

    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
      {id = 1, id2 = 1, Vehicle = "dinghy", modelHash = "g_m_m_chiboss_01", x = 8.55, y = -2765.49, z = 1.25, heading =172.34, armor=100, target=true},
    }
  },


 Mission2 = {
    
    StartMessage = "Échange Suspicieux Mexicain!",
	FinishMessage = "Vous avez mis la main sur le butin!",
	MissionTitle = "Échange Suspicieux Mexicain!",
	MissionMessage = "Un Entrepot sert de cache pour des voleurs de cannabis",	
	Type = "Objective",	
	TargetKillReward = 1500, 
	KillReward = 150,

    Blip = {
      Title = "Objective",
      Position = { x = -589.51, y = -1625.81, z = 32.01, heading = 0.0 },
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = -589.51, y = -1625.81, z = 32.01, heading = 321.21}, --{ x = -2953.18, y = 9.74, z = 7.5 },
      Size     = {x = 5.0, y = 5.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {
		{ id=1, Name = "hei_prop_heist_weed_pallet", Position = { x = -590.98, y = -1625.28, z = 33.03, heading = 0.0 }},
		{ id=2, Name = "hei_prop_heist_weed_pallet_02", Position = { x = -591.03, y = -1627.25, z = 33.06, heading = 0.0 }},
		{ id=3, Name = "hei_prop_heist_weed_pallet", Position = { x = -589.33, y = -1627.78, z = 33.07, heading = 0.0 }},
		{ id=4, Name = "hei_prop_heist_weed_pallet_02", Position = { x = -585.77, y = -1622.97, z = 33.01, heading = 0.0 }},
    },

	Pickups = {
		
	},
	MissionPickups = {
		{ id=1, Name = "PICKUP_HEALTH_STANDARD", Amount = 1.0, Position = { x = -563.76, y = -1627.49, z = 27.01, heading = 0.0 }},
		{ id=2, Name = "PICKUP_ARMOUR_STANDARD", Amount = 1.0, Position = { x = -601.44, y = -1598.52, z = 27.01, heading = 0.0 }},
		{ id=3, Name = "PICKUP_HEALTH_STANDARD", Amount = 1.0, Position = { x = -560.32, y = -1612.54, z = 27.01, heading = 0.0 }},
		{ id=4, Name = "PICKUP_ARMOUR_STANDARD", Amount = 1.0, Position = { x = -606.08, y = -1615.48, z = 34.04, heading = 0.0 }},
		{ id=5, Name = "PICKUP_HEALTH_STANDARD", Amount = 1.0, Position = { x = -598.79, y = -1619.98, z = 32.91, heading = 0.0 }},
		{ id=6, Name = "PICKUP_AMMO_BULLET_MP", Amount = 1.0, Position = { x = -561.78, y = -1631.91, z = 29.03, heading = 0.0 }},
		{ id=7, Name = "PICKUP_AMMO_BULLET_MP", Amount = 1.0, Position = { x = -583.18, y = -1599.85, z = 27.01, heading = 0.0 }},
		
	},	
		
	

    Peds = {
        
        {id = 1, Weapon = 0x1b06d571, modelHash = "A_M_Y_MexThug_01", x = -613.0, y = -1619.35, z = 33.01, heading = 67.48, armor=20, target=true},
        {id = 2, Weapon = 0x1b06d571, modelHash = "G_M_Y_MexGang_01", x = -617.29, y = -1622.91, z = 33.01, heading = 326.87, armor=25, target=true},
        {id = 3, Weapon = 0x84bd7bfd, modelHash = "G_M_Y_MexGoon_01", x = -612.97, y = -1624.27, z = 33.01, heading = 351.51, armor=5, wanderinarea=true},
        {id = 4, Weapon = 0x1b06d571, modelHash = "G_M_Y_MexGoon_02", x = -596.53, y = -1618.28, z = 33.01, heading = 264.8, armor=25, target=true},
        {id = 5, Weapon = 0x1b06d571, modelHash = "G_M_Y_MexGoon_03", x = -589.6, y = -1617.79, z = 33.01, heading = 292.0, armor=5, target=true},
        {id = 6, Weapon = 0x1b06d571, modelHash = "G_M_Y_MexGang_01", x = -582.8, y = -1628.01, z = 33.01, heading = 271.23, armor=5, target=true},
        {id = 7, Weapon = 0x1b06d571, modelHash = "G_M_Y_MexGoon_01", x = -570.94, y = -1623.89, z = 33.04, heading = 99.03, armor=25, target=true},
        {id = 8, Weapon = 0x1b06d571, modelHash = "G_M_Y_MexGoon_02", x = -562.9, y = -1616.67, z = 27.01, heading = 276.51, armor=5, target=true},
		{id = 9, Weapon = 0x1b06d571, modelHash = "G_M_Y_MexGoon_03", x = -573.54, y = -1611.83, z = 27.01, heading = 26.01, armor=35, target=true},
        {id = 10, Weapon = 0x83BF0278, modelHash = "G_M_M_MexBoss_01", x = -582.1, y = -1611.09, z = 27.01, heading = 245.23, armor=100, target=true},
        {id = 11, Weapon = 0x83BF0278, modelHash = "G_M_M_MexBoss_02", x = -594.65, y = -1600.38, z = 27.01, heading = 156.85, armor=100, target=true},
        {id = 12, Weapon = 0x1b06d571, modelHash = "G_M_Y_MexGang_01", x = -605.39, y = -1622.33, z = 27.01, heading = 352.83, armor=5, target=true},
        {id = 13, Weapon = 0x1b06d571, modelHash = "G_M_Y_MexGoon_03", x = -605.21, y = -1619.56, z = 27.01, heading = 169.98, armor=10, target=true},
		
   
    },

Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
      --{id = 1, id2 = 1, Vehicle = "dinghy", modelHash = "g_m_m_chiboss_01", x = 8.55, y = -2765.49, z = 0.25, heading =172.34, armor=100, target=true},
    }
  },


  Mission3 = {
    
    StartMessage = "La tête du Hacker",
	FinishMessage = "Vous toucher la prime!",
	Type = "Assassinate",
	MissionTitle = "La tête du Hacker",
	MissionMessage = "Les Lost veulent la tête du Hacker, Sauver et protèger-le",		
	TargetKillReward = 1500, 
	KillReward = 150,
	HostageRescue = true,	
    HostageKillPenalty = 0,  --cash
    HostageRescueReward = 7500,

    Blip = {
      Title = "Mission Start",
      Position = { x = 965.16, y = -2184.66, z = 29.24 },
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = 965.16, y = -2184.66, z = 29.24  },
      Size     = {x = 5.0, y = 5.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },

		MissionPickups = {
		{ id=1, Name = "PICKUP_HEALTH_STANDARD", Amount = 1.0, Position = { x = 981.75, y = -2133.14, z = 29.48, heading = 0.0 }},
		{ id=2, Name = "PICKUP_ARMOUR_STANDARD", Amount = 1.0, Position = { x = 1002.56, y = -2118.42, z = 30.48, heading = 0.0 }},
		{ id=3, Name = "PICKUP_HEALTH_STANDARD", Amount = 1.0, Position = { x = 981.09, y = -2113.75, z = 30.48, heading = 0.0 }},
		{ id=4, Name = "PICKUP_ARMOUR_STANDARD", Amount = 1.0, Position = { x = 991.95, y = -2164.08, z = 29.48, heading = 0.0 }},
		{ id=5, Name = "PICKUP_HEALTH_STANDARD", Amount = 1.0, Position = { x = 986.35, y = -2176.6, z = 29.98, heading = 0.0 }},
		{ id=6, Name = "PICKUP_AMMO_BULLET_MP", Amount = 1.0, Position = { x = 999.75, y = -2143.22, z = 29.48, heading = 0.0 }},
		{ id=7, Name = "PICKUP_AMMO_BULLET_MP", Amount = 1.0, Position = { x = 968.47, y = -2153.75, z = 29.47, heading = 0.0 }},
		
	},	
	
    Peds = {
        
        {id = 1, Weapon = 0x7846a318, modelHash = "G_M_Y_Lost_03", x = 952.38, y = -2124.52, z = 31.45, heading = 252.88, armor=100, target=true},
        {id = 2, Weapon = 0xbfd21232, modelHash = "G_M_Y_Lost_02", x = 976.82, y = -2112.96, z = 30.48, heading = 182.19, armor=100, target=true},
        {id = 3, Weapon = 0x7846a318, modelHash = "G_M_Y_Lost_01", x = 1001.76, y = -2113.37, z = 30.48, heading = 83.53, armor=100, target=true},
        {id = 4, Weapon = 0x7846a318, modelHash = "CS_Clay", x = 991.18, y = -2136.27, z = 30.28, heading = 262.14, armor=100, target=true},
        {id = 5, Weapon = 0xbfd21232, modelHash = "CS_Terry", x = 966.42, y = -2155.18, z = 29.47, heading = 249.92, armor=100, target=true},
        {id = 6, Weapon = 0x7846a318, modelHash = "CS_Josef", x = 998.85, y = -2169.4, z = 29.48, heading = 164.24, armor=100, target=true},
        {id = 7, Weapon = 0x7846a318, modelHash = "IG_JoeMinuteMan", x = 988.97, y = -2175.88, z = 30.03, heading = 256.51, armor=100, target=true},
        {id = 8, Weapon = 0x7846a318, modelHash = "G_M_Y_Lost_01", x = 991.06, y = -2189.5, z = 29.98, heading = 71.8, armor=100, target=true},
		{id = 9, Weapon = 0xbfd21232, modelHash = "G_M_Y_Lost_02", x = 982.11, y = -2188.69, z = 29.98, heading = 72.84, armor=100, target=true},
        {id = 10, Weapon = 0x7846a318, modelHash = "G_M_Y_Lost_03", x = 971.42, y = -2186.74, z = 29.98, heading = 255.04, armor=100, target=true},
        {id = 11, Weapon = 0x7846a318, modelHash = "CS_Josef", x = 989.63, y = -2161.35, z = 31.66, heading = 80.35, armor=100, target=true},
        {id = 12, Weapon = 0x7846a318, modelHash = "A_M_Y_Juggalo_01", x = 971.11, y = -2169.15, z = 29.52, heading = 145.52, armor=100, target=true},
        {id = 13, Weapon = 0xbfd21232, modelHash = "HC_Hacker", x = 964.62, y = -2166.28, z = 29.47, heading = 262.54, armor=5, friendly=true},
		
   
    },

    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
	  
	  --id2 is the primary ped for the vehicles, which gets set to seatid=-1, which is typically the default for a vehicle for the driver.
	  --ExtraPeds will take Peds from the Peds array above and put them in a seatid in this vehicle to partner with the primary ped, as a passenger. 
	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2

	 
    }
  },
  
  
  
  
      Mission4 = {
    	

	
	--Obj/Ass values are the messages used depending on which random Type is selected Objective or Assassinate
	--The real messages (values above), will be set to the below, based on which Type
	StartMessageObj = "Capture the objective!",
	FinishMessageObj = "Mission Completed!",
	MissionTitleObj = "Takeover",
	MissionMessageObj = "Capture the objective!",	
	
	StartMessageAss = "Eliminate the targets!",
	FinishMessageAss = "Mission Completed!",
	MissionTitleAss = "Elimination",
	MissionMessageAss = "Eliminate the targets",		
	
		
	IsRandom = false,
	--RandomLocation = true, --for completely random location.. 
		
	
  StartMessage = "Deux pêcheurs ont besoin d'aide",
	FinishMessage = "Pêcheurs hors de danger!",
	MissionTitle = "Secourir 2 pêcheurs en détresse",
	MissionMessage = "Deux pêcheurs ont besoin d'aide. Aller les secourir.",
	Type = "Objective",
	FinishedObjectiveReward = 4000,

    Blip = {
      Title = "Objective",
      Position = { x = -1798.11, y = 5541.83, z = 4.53 },
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = -1798.11, y = 5541.83, z = 4.83 },
      Size     = {x = 3.0, y = 3.0, z = 1.5},
      Color    = {r = 0, g = 100, b = 20},
      DrawDistance = 100.0,
    },

	Props = {
		{ id=1, realId=1, Name = "prop_can_canoe", Position = { x = -1798.76, y = 5535.68, z = 6.40, heading = 0.0 }},
		{ id=2, realId=3, Name = "prop_fishing_rod_01", Position = { x = -1798.06, y = 5538.56, z = 4.16, heading = 0.0 }},
		
	
    },
	Pickups = {

		
	},
	
		MissionPickups = {

		
	},

    Peds = {
        {id = 1, modelHash = "A_M_O_Tramp_01", x = -1800.53, y = 5542.45, z = 6.15, heading = 47.72, armor=5, friendly=true},
        {id = 2, modelHash = "A_F_M_TrampBeac_01", x = -1798.22, y = 5543.87, z = 6.19, heading = 18.12, armor=5, friendly=true},


    },

    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
    --  {id = 1, id2 = 1, Vehicle = "dinghy", modelHash = "g_m_m_chiboss_01", x = 8.55, y = -2765.49, z = 0.25, heading =172.34, armor=100, target=true},
    }
  },
  
  Mission5 = {
  	
  StartMessage = "Une Escorte en Danger!!",
	FinishMessage = "L'Escorte est hors de danger!",
	MissionTitle = "Secourir l'escorte en danger",
	MissionMessage = "Une escorte est en danger, aller à son secour.",
	Type = "Assassinate",
	TargetKillReward = 1500, 
	KillReward = 150,
	HostageRescue = true,	
    HostageKillPenalty = 0,  --cash
    HostageRescueReward = 7500,


    Blip = {
      Title = "Objective",
      Position = { x = -550.25, y = 306.16, z = 83.19 },
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = -550.25, y = 306.16, z = 83.19 },
      Size     = {x = 3.0, y = 3.0, z = 1.5},
      Color    = {r = 0, g = 100, b = 20},
      DrawDistance = 100.0,
    },

	Props = {
	--	{ id=1, realId=1, Name = "prop_cs_dildo_01", Position = { x = -555.18, y = 303.73, z = 83.29, heading = 0.0 }},
	--	{ id=2, realId=3, Name = "prop_cs_dildo_01", Position = { x = -555.38, y = 302.73, z = 83.29, heading = 0.0 }},
		
	
    },
	Pickups = {

		
	},
	
		MissionPickups = {

		
	},

    Peds = {
        {id = 1, modelHash = "S_F_Y_Stripper_02", x = -556.18, y = 297.73, z = 83.09, heading = 5.98, armor=5, friendly=true},

    },

    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
      {id = 1, id2 = 1, Weapon= 0x84bd7bfd, Vehicle = "nsx4", modelHash = "IG_TomEpsilon",ExtraPeds={{id=1,seatid=0}}, x = -549.84, y = 305.2, z = 82.46, heading = 263.03, drivingtocoord={ x = -1147.86, y = 4926.78, z = 220.52}, target=true, driving=true, movespeed=130.0, flee=true,},
    }
  },
  
--[[  
  
  Mission6 = {
    
    StartMessage = "Rescue the Governor!~n~Find his secret dossier before the radicals do!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Escape From Los Santos",
	MissionMessage = "The Governor's plane was brought down by radicals. Retrieve his secret dossier for ransom",	
	Type = "Objective",	
	TargetKillReward = 1500, 
	KillReward = 150,
	HostageKillPenalty=20000,

    Blip = {
      Title = "Objective",
      Position = {x = -184.57, y = -893.92, z = 29.34}, 
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = {x = -184.57, y = -893.92, z = 27.34}, 
      Size     = {x = 7.0, y = 7.0, z = 2.5},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {
		{ id=1, realId=1, Name = "apa_mp_apa_crashed_usaf_01a", Position = { x = -184.57, y = -893.92, z = 29.34, heading = 67.37 },dontsetheading=true},
		{ id=2, realId=2, Name = "prop_jet_bloodsplat_01", Position = { x = -184.96, y = -901.75, z = 29.34, heading = 361.48 },dontsetheading=true},
		{ id=3, realId=3, Name = "prop_laptop_lester2", Position = { x = -187.42, y = -892.78, z = 29.34, heading = 257.95 },dontsetheading=true},
		{ id=3, realId=3, Name = "xm_prop_x17_corpse_01", Position = {x = -182.48, y = -891.75, z = 29.34, heading = -1.28 },dontsetheading=true},
    },

	Pickups = {
	},
	MissionPickups = {
		
	},	
		

    Peds = {
        -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
        {id = 1,  modelHash = "IG_Paper",  x = -186.03, y = -891.08, z = 29.34, heading = 49.44, friendly=true},
		{id = 2,  realId=2, Weapon = 0x05FC3C11, modelHash = "G_M_M_ChiCold_01", x = -228.69, y = -914.71, z = 32.31, heading = 295.14},
		{id = 3,  realId=3, Weapon = 0xBFEFFF6D, modelHash = "s_m_y_xmech_02", x = -228.69, y = -914.71, z = 32.31, heading = 295.14},
       {id = 4, Weapon = 0x05FC3C11, modelHash = "G_M_M_ChiCold_01",  x = -134.69, y = -873.15, z = 44.21, heading = 103.3},
      {id = 5, Weapon = 0xB1CA77B1, modelHash = "s_m_y_xmech_02",x = -137.42, y = -867.44, z = 44.21, heading = 97.35},
	   {id = 6, Weapon = 0x83BF0278, modelHash = "U_M_Y_Tattoo_01", x = -149.76, y = -855.38, z = 45.03, heading = 4.42},
       {id = 7, Weapon = 0xEFE7E2DF, modelHash = "G_M_M_ChiCold_01", x = -141.88, y = -835.48, z = 44.14, heading = 59.95},
       {id = 8, Weapon = 0xBFEFFF6D, modelHash = "IG_Terry",x = -146.09, y = -857.15, z = 44.24, heading = 149.91},
        {id = 9, Weapon = 0xAF113F99, modelHash = "G_M_M_ChiCold_01", x = -126.59, y = -889.57, z = 44.2, heading = 180.91},
        {id = 10, Weapon = 0x83BF0278, modelHash = "U_M_Y_MilitaryBum", x = -106.92, y = -896.75, z = 45.58, heading = 212.85},
        {id = 11, Weapon = 0x83BF0278, modelHash = "U_M_Y_Tattoo_01",  x = -91.24, y = -905.26, z = 44.34, heading = 179.98},
       {id = 12, Weapon = 0x83BF0278, modelHash = "s_m_y_xmech_02",  x = -222.45, y = -925.26, z = 30.15, heading = 247.56},
       {id = 13, Weapon =  0x83BF0278, modelHash = "G_M_M_ChiCold_01", x = -165.96, y = -931.28, z = 32.99, heading = 134.78},
       
	   {id = 14, Weapon =  0x0C472FE2, modelHash = "CSB_Chin_goon", x = -91.79, y = -893.78, z = 44.22, heading = 331.01 },
        {id = 15, Weapon = 0x83BF0278, modelHash = "G_M_M_ChiCold_01", x = -129.99, y = -852.73, z = 44.22, heading = 307.19},
		
       {id = 16, Weapon = 0x05FC3C11, modelHash = "U_M_Y_Tattoo_01", x = -192.68, y = -830.22, z = 30.83, heading = 309.78},		
		{id = 17, Weapon = 0xAF113F99, modelHash = "CSB_Cletus", x = -202.63, y = -860.75, z = 30.27, heading = 231.88},		
		{id = 18, Weapon = 0x05FC3C11, modelHash = "U_M_Y_MilitaryBum", x = -231.49, y = -851.53, z = 30.68, heading = 154.04},		
		 {id = 19, Weapon = 0x42BF8A85, modelHash = "CSB_Chin_goon", x = -162.67, y = -924.13, z = 29.29, heading = 41.64},		
		 {id = 20, Weapon = 0x687652CE, modelHash = "s_m_y_xmech_02", x = -135.33, y = -928.82, z = 29.24, heading = 280.32},		
		 {id = 21, Weapon = 0xB1CA77B1, modelHash = "U_M_Y_Tattoo_01", x = -101.75, y = -898.91, z = 29.26, heading = 169.85 },		
		 {id = 22, Weapon = 0x05FC3C11, modelHash = "U_M_Y_MilitaryBum",  x = -122.46, y = -888.78, z = 29.33, heading = 111.7},

		 {id = 23, Weapon = 0x05FC3C11, modelHash = "IG_Wade", x = -176.88, y = -892.69, z = 29.34, heading = 253.02},	
		 {id = 24, Weapon = 0x5EF9FEC4, modelHash = "A_M_Y_SouCent_03",   x = -188.44, y = -888.66, z = 29.35, heading = 80.19},	
		 {id = 25, Weapon = 0x05FC3C11, modelHash = "G_M_M_ChiCold_01",   x = -188.3, y = -905.77, z = 29.36, heading = 162.03},

		 {id = 25, Weapon = 0x7FD62962, modelHash = "CSB_Cletus",  x = -143.8, y = -862.58, z = 29.99, heading = 129.62},
		{id = 26, Weapon =  0x2BE6766B, modelHash = "A_M_Y_SouCent_03",  x = -133.85, y = -878.61, z = 29.58, heading = 125.04},	
		
		{id = 27, Weapon =  0x2BE6766B, modelHash = "s_m_y_ammucity_01",  x = -190.4, y = -891.32, z = 29.34, heading = 312.46, dead=true },	
		{id = 28, Weapon =  0x2BE6766B, modelHash = "s_m_y_ammucity_01", x = -187.69, y = -885.32, z = 29.4, heading = 1.64,dead=true},	
		{id = 29, Weapon =  0x2BE6766B, modelHash = "s_m_y_ammucity_01",  x = -178.75, y = -901.38, z = 29.36, heading = 186.85,dead=true},	
		
		
		
    },


    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
   	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2   
	  --{id = 1, id2 = 1, Vehicle = "cavalcade", modelHash = "s_m_y_ammucity_01",  x = -2970.94, y = 5.36, z = 6.6, heading = 244.62},
	 -- {id = 2, id2 = 2, Vehicle = "toro2", modelHash = "s_m_y_ammucity_01",  x = -3014.83, y = -43.5, z = 0.13, heading = 151.19, driving=true},
    }
  } ,
  
   Mission7 = {
    
    StartMessage = "A UFO crashed where that UFO cult worships~n~Check it out before the FIB does!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Bad Taste",
	MissionMessage = "Investigate the UFO crash site and take what you can before the FIB gets there",	
	Type = "Objective",	
	TargetKillReward = 1500, 
	KillReward = 150,

    Blip = {
      Title = "Objective",
      Position = {x = 1657.106, y = 428.6742, z = 245.6912},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = {x = 1657.106, y = 428.6742, z = 244.6912}, 
      Size     = {x = 7.0, y = 7.0, z = 10.5},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {
		{ id=1, realId=1, Name = "gr_prop_damship_01a", Position = {x = 1657.106, y = 428.6742, z = 245.6912, heading = 224.7846},dontsetheading=true},
		
		--gibs
		{ id=2, Name = "v_ilev_body_parts", Position = { x = 1630.22, y = 428.15, z = 251.69, heading = 353.62}},
		{ id=3, Name = "xm_prop_x17_corpse_03", Position = {x = 1635.0, y = 438.27, z = 250.07, heading = 79.43}},
		{ id=4,  Name = "v_ilev_body_parts", Position = {x = 1664.32, y = 428.17, z = 244.51, heading = 248.94}},
		{ id=5,  Name = "xm_prop_x17_corpse_03", Position = {x = 1673.0, y = 402.67, z = 245.63, heading = 238.18 }},
		{ id=6, Name = "v_ilev_body_parts", Position = {x = 1661.93, y = 437.68, z = 245.38, heading = 261.63 }},
		{ id=7, Name = "v_ilev_body_parts", Position = { x = 1652.93, y = 443.85, z = 247.71, heading = 73.47}},
		{ id=8, Name = "xm_prop_x17_corpse_03", Position = {x = 1656.9, y = 418.33, z = 246.06, heading = 170.5}},
		{ id=9,  Name = "prop_alien_egg_01", Position = { x = 1655.69, y = 427.67, z = 245.93, heading = 378.88}},
		{ id=10,  Name = "prop_alien_egg_01", Position = {x = 1657.02, y = 431.15, z = 245.82, heading = 225.31 }},
		{ id=11, Name = "prop_alien_egg_01", Position = { x = 1659.31, y = 428.12, z = 245.31, heading = 54.46 }},		
    },
	
	Pickups = {
	},
	MissionPickups = {
		
	},	
		
    Peds = {
	


	
	
	
        -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
		{id = 1,  Weapon = 0x6D544C99,  modelHash = "S_M_M_MovAlien_01",   x = 1659.31, y = 428.12, z = 245.31, heading = 54.46 },
		{id = 2,  Weapon = 0x6D544C99,  modelHash = "S_M_M_MovAlien_01",   x = 1645.85, y = 423.42, z = 248.08, heading = 114.23},
		{id = 3,  Weapon = 0x6D544C99,  modelHash = "S_M_M_MovAlien_01",   x = 1655.56, y = 436.08, z = 246.49, heading = 377.0},
		{id = 4,  Weapon = 0x6D544C99,  modelHash = "S_M_M_MovAlien_01",   x = 1666.97, y = 426.35, z = 244.23, heading = 258.76},
		{id = 5,  Weapon = 0x6D544C99,  modelHash = "S_M_M_MovAlien_01",   x = 1707.88, y = 374.8, z = 235.5, heading = 163.28},
		{id = 6,  Weapon = 0x6D544C99,  modelHash = "S_M_M_MovAlien_01",   x = 1636.67, y = 390.01, z = 254.54, heading = 231.38},
		{id = 7,  Weapon = 0x6D544C99,  modelHash = "S_M_M_MovAlien_01",   x= 1632.32, y = 458.72, z = 250.38, heading = 36.5},
		{id = 8,  Weapon = 0x6D544C99,  modelHash = "S_M_M_MovAlien_01",   x = 1664.22, y = 462.28, z = 247.59, heading = 317.14},
		
		{id = 9,  modelHash = "A_F_M_FatCult_01",  x = 1649.88, y = 436.38, z = 247.5, heading = 265.43, friendly=true},
		{id = 10,  modelHash = "A_M_M_ACult_01",  x = 1649.88, y = 436.38, z = 247.5, heading = 265.43, friendly=true},
		{id = 11,  modelHash = "A_M_Y_ACult_02",  x = 1649.88, y = 436.38, z = 247.5, heading = 265.43, friendly=true},
		{id = 12,  modelHash = "A_M_Y_ACult_02",  x = 1649.88, y = 436.38, z = 247.5, heading = 265.43, friendly=true},
		{id = 13,  modelHash = "A_M_M_ACult_01",  x = 1649.88, y = 436.38, z = 247.5, heading = 265.43, friendly=true},
		
		
   
		
    },
	
    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
   	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2   
    }
  } ,
  
   Mission8 = {
    
    StartMessage = "A corporate jet trafficking drugs was shot down~n~by a rival faction~n~Secure the narcotics!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Contra III: The Drug Wars",
	MissionMessage = "Secure the narcotics from the smuggler's jet that was shot down",	
	Type = "Objective",	
	TargetKillReward = 1500, 
	KillReward = 150,

    Blip = {
      Title = "Objective",
      Position = {x = 302.86, y = 4373.86, z = 51.61},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = {x = 302.86, y = 4373.86, z = 50.61}, 
      Size     = {x = 7.0, y = 7.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {
	
	{ id=1,  Name = "prop_shamal_crash", Position = {x = 302.86, y = 4373.86, z = 51.61, heading = 68.35},dontsetheading=true},
	{ id=2,  Name = "prop_drug_package", Position = { x = 299.68, y = 4376.15, z = 51.39, heading = 84.56 }},	
	{ id=3,  Name = "prop_drug_package", Position = { x = 300.2, y = 4374.17, z = 51.38, heading = 33.03 }},
	{ id=4,  Name = "prop_drug_package", Position = { x = 305.34, y = 4374.89, z = 52.0, heading = 209.16 }},	

    },

	Pickups = {
	},
	MissionPickups = {
		
	},	
		
    Peds = {
	
        -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
		{id = 1,  Weapon = 0x687652CE,  modelHash = "G_M_M_ChiCold_01",   x = 308.16, y = 4385.77, z = 55.02, heading = 156.5,wanderinarea=true },
		{id = 2,  Weapon = 0x83BF0278,  modelHash = "A_M_M_EastSA_02",   x = 308.16, y = 4385.77, z = 55.02, heading = 156.5 },
		
		{id = 3,  Weapon = 0x83BF0278,  modelHash = "s_m_y_xmech_02",   x = 285.49, y = 4351.96, z = 49.05, heading = 326.71 },
		
		{id = 4,  Weapon = 0x05FC3C11,  modelHash = "A_M_M_EastSA_02",   x = 308.16, y = 4385.77, z = 55.02, heading = 156.5,wanderinarea=true },
		
		{id = 5,  Weapon = 0x05FC3C11,  modelHash = "CSB_Chin_goon",   x = 308.16, y = 4385.77, z = 55.02, heading = 156.5 },
		
		{id = 6,  Weapon = 0xB1CA77B1,  modelHash = "A_M_Y_SouCent_03",   x = 308.16, y = 4385.77, z = 55.02, heading = 156.5 },
	
    },
	
    Vehicles = {
	
      
   	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2   
	  {id = 1, id2 = 1, Weapon = 0x687652CE, Vehicle = "dune3", modelHash = "G_M_M_ChiCold_01", ExtraPeds={{id=2,seatid=0}}, x = 295.32, y = 4350.68, z = 49.71, heading = 366.66},
	
    }
  } ,
  
  Mission9 = {
    
    StartMessage = "A mercenary helicoptor was shot down hauling ammo~n~Get the ammunition before the mercs do!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Anyone in Cherno?",
	MissionMessage = "Get the supplies from the crashed helicopter before the mercs secure it",	
	Type = "Objective",	
	TargetKillReward = 1500, 
	KillReward = 150,

    Blip = {
      Title = "Objective",
      Position = { x = -1161.0, y = 4569.94, z = 142.64},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = -1161.0, y = 4569.94, z = 141.64}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {
	
		{ id=1,  Name = "sm_prop_smug_heli", Position = { x = -1161.0, y = 4569.94, z = 142.64, heading = 145.22 }},
		{ id=2,  Name = "hei_prop_heist_ammo_box", Position = { x = -1159.15, y = 4568.47, z = 142.55, heading = 150.05 }},
		{ id=3,  Name = "hei_prop_heist_ammo_box", Position = { x = -1162.83, y = 4571.43, z = 142.91, heading = 337.43 }},
		{ id=4,  Name = "hei_prop_heist_ammo_box", Position = { x = -1163.04, y = 4568.09, z = 142.67, heading = 254.89 }},
	
	
    },
	
	
	



	
	Pickups = {
	},
	MissionPickups = {
		
	},	
		
	

    Peds = {
	
		{id = 1,  Weapon = 0x05FC3C11,  modelHash = "S_M_M_ChemSec_01",   x = -1170.34, y = 4597.04, z = 177.27, heading = 280.45 },
		{id = 2,  Weapon = 0x05FC3C11,  modelHash = "S_M_M_ChemSec_01",   x = -1209.82, y = 4585.97, z = 196.22, heading = 37.46},
		{id = 3,  Weapon = 0x05FC3C11,  modelHash = "S_M_M_ChemSec_01",   x = -1181.61, y = 4611.21, z = 172.68, heading = 57.46 },
		{id = 4,  Weapon = 0x687652CE,  modelHash = "S_M_M_ChemSec_01",  x = -1127.46, y = 4617.7, z = 153.66, heading = 161.84},
		{id = 5,  Weapon = 0xBFEFFF6D,  modelHash = "S_M_M_ChemSec_01",  x = -1122.56, y = 4585.95, z = 137.82, heading = 234.6},
		{id = 6,  Weapon = 0xBFEFFF6D,  modelHash = "S_M_M_ChemSec_01",   x = -1159.03, y = 4555.89, z = 140.66, heading = 283.2},
		{id = 7,  Weapon = 0xAF113F99,  modelHash = "S_M_M_ChemSec_01",  x = -1173.78, y = 4564.25, z = 140.33, heading = 273.92 },
		{id = 8,  Weapon = 0x83BF0278,  modelHash = "S_M_M_ChemSec_01",    x = -1165.78, y = 4570.29, z = 142.66, heading = 254.67},
		{id = 9,  Weapon = 0xBFEFFF6D,  modelHash = "S_M_M_ChemSec_01",    x = -1157.42, y = 4573.4, z = 142.85, heading = 204.36},

		
    },
	
	

    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
   	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2   
	  {id = 1, id2 = 1, Vehicle = "annihilator", modelHash = "S_M_M_ChemSec_01",  x = -1166.42, y = 4641.5, z = 145.11, heading = 210.07,driving=true,pilot=true},
	 -- {id = 2, id2 = 2, Vehicle = "toro2", modelHash = "s_m_y_ammucity_01",  x = -3014.83, y = -43.5, z = 0.13, heading = 151.19, driving=true},
    }
  } ,
  
  Mission10 = {
    
	StartMessage = "Stop the bandits from taking over the oil fields!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Fury Road",
	MissionMessage = "Stop the bandits from taking over the oil fields",	
	--Type = "Assassinate",	
	Type = "Objective",	
	TargetKillReward = 150, 
	KillReward = 150,
	IsDefend = true,

    Blip = {
      Title = "Mission End",
      Position = {x = 1453.72, y = -2282.69, z = 67.47}, --{ x = 1944.96, y = 3150.6, z = 46.77},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },

    Marker = {
      Type     = 1,
      Position = {x = 1453.72, y = -2282.69, z = 67.47},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
      Size     = {x = 150.0, y = 150.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 200.0,
    },
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {
	
	
    },
	

	
	Pickups = {
	},
	MissionPickups = {
		
	},	
		
	

    Peds = {
	
		{id = 1,  Weapon = 0x2BE6766B,  modelHash = "U_M_Y_Zombie_01",  x = 1046.11, y = 3061.58, z = 41.93, heading = 372.55,notzed=true,target=true,},
		{id = 2,  Weapon = 0x2BE6766B,  modelHash = "U_M_Y_Zombie_01",   x = 1047.11, y = 3061.58, z = 41.93, heading = 372.55,notzed=true,target=true},
		{id = 3,  Weapon = 0x2BE6766B, modelHash = "U_M_Y_Zombie_01",  x = 1048.11, y = 3061.58, z = 41.93, heading = 372.55 ,notzed=true,target=true},
		{id = 4,  Weapon = 0x2BE6766B, modelHash = "U_M_Y_Zombie_01",  x = 1049.11, y = 3061.58, z = 41.93, heading = 372.55,notzed=true,target=true},
		{id = 5,  Weapon = 0x2BE6766B, modelHash = "U_M_Y_Zombie_01",  x = 1050.11, y = 3061.58, z = 41.93, heading = 372.55,notzed=true,target=true},
		{id = 6,  Weapon = 0x2BE6766B,  modelHash = "U_M_Y_Zombie_01",  x = 1051.11, y = 3061.58, z = 41.93, heading = 372.55 ,notzed=true,target=true},
		{id = 7, Weapon = 0x2BE6766B, modelHash = "U_M_Y_Zombie_01",   x = 1052.11, y = 3061.58, z = 41.93, heading = 372.55 ,notzed=true,target=true,conqueror=true},
		{id = 8, Weapon = 0x2BE6766B, modelHash = "U_M_Y_Zombie_01",   x = 1053.11, y = 3061.58, z = 41.93, heading = 372.55 ,notzed=true,target=true,conqueror=true},
		{id = 9, Weapon = 0x2BE6766B, modelHash = "U_M_Y_Zombie_01",   x = 1054.11, y = 3061.58, z = 41.93, heading = 372.55 ,notzed=true,target=true,conqueror=true},
		{id = 10, Weapon = 0x2BE6766B, modelHash = "U_M_Y_Zombie_01",   x = 1055.11, y = 3061.58, z = 41.93, heading = 372.55 ,notzed=true,target=true,conqueror=true},
			

		
		
    },
	
	

    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
   	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2   
	{id = 1, id2 = 1, Weapon= 0x2BE6766B, Vehicle = "phantom2", modelHash = "U_M_Y_Zombie_01",ExtraPeds={{id=1,seatid=0}}, x = 1693.43, y = 3252.58, z = 40.91, heading = 283.22,notzed=true,target=true,conqueror=true}, --movetocoord={ x = 1453.72, y = -2282.69, z = 67.47},
	{id = 2, id2 = 2, Weapon= 0x2BE6766B, Vehicle = "limo2", modelHash = "U_M_Y_Zombie_01",  x = 1716.09, y = 3263.64, z = 41.14, heading = 287.06,notzed=true,target=true,conqueror=true},
	{id = 3, id2 = 3, Weapon= 0x2BE6766B, Vehicle = "barrage", modelHash = "U_M_Y_Zombie_01",x = 1675.94, y = 3235.49, z = 40.71, heading = 280.06, notzed=true,target=true,conqueror=true},
	{id = 4, id2 = 4, Weapon= 0x2BE6766B, Vehicle = "gargoyle", modelHash = "U_M_Y_Zombie_01",  x = 1633.08, y = 3235.96, z = 40.41, heading = 280.53, notzed=true,target=true,conqueror=true},
	{id = 5, id2 = 5, Weapon= 0x2BE6766B, Vehicle = "dukes2", modelHash = "U_M_Y_Zombie_01", ExtraPeds={{id=2,seatid=0}}, x = 1601.39, y = 3219.89, z = 40.41, heading = 281.29, notzed=true,target=true,conqueror=true},
	{id = 6, id2 = 6, Weapon= 0x2BE6766B, Vehicle = "tampa3", modelHash = "U_M_Y_Zombie_01", x = 1564.8, y = 3221.98, z = 40.44, heading = 279.78, notzed=true,target=true,conqueror=true},
	{id = 7, id2 = 7, Weapon= 0x2BE6766B, Vehicle = "ratbike", modelHash = "U_M_Y_Zombie_01",  x = 1530.94, y = 3195.49, z = 40.43, heading = 283.06, notzed=true,target=true,conqueror=true},
	{id = 8, id2 = 8, Weapon= 0x2BE6766B, Vehicle = "sanctus", modelHash = "U_M_Y_Zombie_01",  x = 1507.08, y = 3207.04, z = 40.45, heading = -80.67, notzed=true,target=true,conqueror=true},
{id = 9, id2 = 9, Weapon= 0x2BE6766B, Vehicle = "dune4", modelHash = "U_M_Y_Zombie_01", ExtraPeds={{id=3,seatid=0}}, x = 1718.96, y = 3258.17, z = 41.13, heading = 284.77 , notzed=true,target=true,conqueror=true},
		{id = 10, id2 = 10, Weapon= 0x2BE6766B, Vehicle = "dune3", modelHash = "U_M_Y_Zombie_01",ExtraPeds={{id=4,seatid=0}}, x = 1480.56, y = 3181.15, z = 40.44, heading = 279.9, notzed=true,target=true,conqueror=true},
		{id = 11, id2 = 11, Weapon= 0x2BE6766B, Vehicle = "dune2", modelHash = "U_M_Y_Zombie_01", ExtraPeds={{id=5,seatid=0}},x = 1443.97, y = 3190.27, z = 40.45, heading = 281.69, notzed=true,target=true,conqueror=true},
		{id = 12, id2 = 12, Weapon= 0x2BE6766B, Vehicle = "dune", modelHash = "U_M_Y_Zombie_01", ExtraPeds={{id=6,seatid=0}}, x = 1062.02, y = 3084.72, z = 41.17, heading = 286.88, heading = 278.93, notzed=true,target=true,conqueror=true},
		{id = 13, id2 = 13, Weapon= 0x2BE6766B, Vehicle = "technical2", modelHash = "U_M_Y_Zombie_01",  x = 1421.18, y = 3162.42, z = 40.47, heading = 280.8 , notzed=true,target=true,conqueror=true},
		{id = 14, id2 = 14, Weapon= 0x2BE6766B, Vehicle = "technical2", modelHash = "U_M_Y_Zombie_01",ExtraPeds={{id=7,seatid=0}},x = 1376.34, y = 3172.96, z = 40.46, heading = 280.96, notzed=true,target=true,conqueror=true},
	{id = 15, id2 = 15, Weapon= 0x2BE6766B, Vehicle = "boxville5", modelHash = "U_M_Y_Zombie_01",x = 1345.56, y = 3142.1, z = 40.47, heading = -78.9, notzed=true,target=true,conqueror=true},
	
	
	
	

	 
	 -- {id = 2, id2 = 2, Vehicle = "toro2", modelHash = "s_m_y_ammucity_01",  x = -3014.83, y = -43.5, z = 0.13, heading = 151.19, driving=true},
    }
  },
  

  
   Mission11 = {
    
	StartMessage = "The miners dug too greedily.~n~They awoke something in the darkness~n~Find the lost treasure!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Hollow Earth Theory",
	MissionMessage = "Find and retrieve the legendary lost treasure from the abandoned mine",	
	Type = "Objective",	
	TargetKillReward = 150, 
	KillReward = 150,

    Blip = {
      Title = "Objective",
      Position = {  x = -595.88, y = 2088.7, z = 131.41},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = -423.38, y = 2064.82, z = 118.99}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {
		{ id=1, realId=1, Name = "prop_idol_01_error", Position = {x = -423.91, y = 2064.71, z = 120.03, heading = 278.44}}, --prop_idol_case
	
    },
	

	
	Pickups = {
	},
	MissionPickups = {
		
	},	
		
	

    Peds = {
	
		{id = 1,  Weapon = 0x476BF155,  modelHash = "IG_Orleans",  x = -461.9, y = 2057.86, z = 121.63, heading = 203.57,armor=500},
		{id = 2,  Weapon = 0xAF3696A1,  modelHash = "IG_Orleans",  x = -463.17, y = 2056.08, z = 121.79, heading = 205.38,armor=500},
		{id = 3,  Weapon = 0x476BF155, modelHash = "IG_Orleans",   x = -456.42, y = 2052.18, z = 122.36, heading = 154.51,armor=500 },
		{id = 4,  Weapon = 0xAF3696A1, modelHash = "IG_Orleans",   x = -449.67, y = 2057.85, z = 122.07, heading = 120.81,armor=500},
		{id = 5,  Weapon = 0x476BF155, modelHash = "IG_Orleans",   x = -436.34, y = 2062.19, z = 121.36, heading = 101.34 ,armor=500},
	{id = 6,  Weapon = 0xAF3696A1,  modelHash = "IG_Orleans",x = -428.27, y = 2064.24, z = 120.64, heading = 106.58 ,armor=500},
		{id = 7, Weapon = 0x476BF155, modelHash = "IG_Orleans", x = -428.8, y = 2063.0, z = 120.72, heading = 100.6,armor=500},

		
    },
	
	

    Vehicles = {

	 -- {id = 2, id2 = 2, Vehicle = "toro2", modelHash = "s_m_y_ammucity_01",  x = -3014.83, y = -43.5, z = 0.13, heading = 151.19, driving=true},
    }
  },

  
 Mission12 = {
    
 	StartMessage = "New Mission",
	FinishMessage = "Mission Completed!",
	MissionTitle = "New Mission",
	MissionMessage = "New Mission",	
	
	--Obj/Ass values are the messages used depending on which random Type is selected Objective or Assassinate
	--The real messages (values above), will be set to the below, based on which Type
	StartMessageObj = "Capture the objective!",
	FinishMessageObj = "Mission Completed!",
	MissionTitleObj = "Takeover",
	MissionMessageObj = "Capture the objective!",	
	
	StartMessageAss = "Eliminate the targets!",
	FinishMessageAss = "Mission Completed!",
	MissionTitleAss = "Elimination",
	MissionMessageAss = "Eliminate the targets",		
	
	Type = "Objective",	
	IsRandom = true,
	--RandomLocation = true, --for completely random location.. 
	
	Blip = {
      Title = "Objective",
      Position = { x = -10000, y = 0, z =  0},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = -10000, y = 0, z = 0}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	
	Props = { 
		--**need a stub entry set for the random prop**
		{ id=1, Name="",Position = { x = 0, y = 0, z = 0, heading = 0 }},
	
    },
	
	Peds = {
		--**need a stub entry set for the random ped hostage for HostageRescue=true**
      {id = 1, Position = { x = 0, y = 0, z = 0, heading = 0 }},
     },
	

	Pickups = {
		
	},
	MissionPickups = {
		
		
	}

  

  },
  
  --[[
  Mission13 = {
    
    StartMessage = "ATTACK THE OBJECTIVE!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Random Mission",
	MissionMessage = "Random Mission",	
	Type = "Objective",	

    Blip = {
       Title = "Objective",
      Position = { x = -58.62, y = -872.91, z = 40.58},
      Icon     = 58,
       Display  = 4,
     Size     = 1.2,
      Color    = 1,
     },
	   Marker = {
      Type     = 1,
      Position = { x = -58.62, y = -872.91, z = 40.58}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },

    Peds = {
     {id = 1, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = 1074.41, y = 3072.94, z = 40.82, heading = 143.9,wander=true},
      {id = 2, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -179.47, y = -1078.39, z = 30.14, heading = 82.01},
        {id = 3, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -173.8, y = -1062.78, z = 30.14, heading = 60.94},
         {id = 4, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -160.2, y = -1067.93, z = 30.14, heading = 3.31448912620544},
         {id = 5, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -165.83, y = -1083.26, z = 30.14, heading = 3.31448912620544},
        {id = 6, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -179.47, y = -1078.39, z = 36.13, heading = 82.01},
       {id = 7, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -173.8, y = -1062.78, z = 36.13, heading = 60.94},
         {id = 8, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -160.2, y = -1067.93, z = 36.13, heading = 3.31448912620544},
        {id = 9, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -165.83, y = -1083.26, z = 36.13, heading = 3.31448912620544},
         {id = 10, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -179.47, y = -1078.39, z = 42.13, heading = 82.01},
         {id = 11, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -173.8, y = -1062.78, z = 42.13, heading = 60.94},
         {id = 12, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -160.2, y = -1067.93, z = 42.13, heading = 3.31448912620544},
        {id = 13, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -165.83, y = -1083.26, z = 42.13, heading = 3.31448912620544},
		
     },

    Vehicles = {
       {id = 1, Weapon = 0x83BF0278, Vehicle = "buzzard", modelHash = "s_m_y_ammucity_01",ExtraPeds={{id=2,seatid=3}},x = -58.62, y = -872.91+5.0, z = 40.58, heading = 143.9},
    }

   },
 
  ]]--

--   Mission5 = {
    
--     StartMessage = "ATTACK THE OBJECTIVE!",

--     Blip = {
--       Title = "Objective",
--       Position = { x = -187.2, y = -1091.96, z = 27.16 },
--       Icon     = 58,
--       Display  = 4,
--       Size     = 1.2,
--       Color    = 1,
--     },

--     Peds = {
--         -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
--         {id = 1, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -187.2, y = -1091.96, z = 27.16, heading = 27.16},
--         {id = 2, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -179.47, y = -1078.39, z = 30.14, heading = 82.01},
--         {id = 3, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -173.8, y = -1062.78, z = 30.14, heading = 60.94},
--         {id = 4, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -160.2, y = -1067.93, z = 30.14, heading = 3.31448912620544},
--         {id = 5, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -165.83, y = -1083.26, z = 30.14, heading = 3.31448912620544},
--         {id = 6, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -179.47, y = -1078.39, z = 36.13, heading = 82.01},
--         {id = 7, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -173.8, y = -1062.78, z = 36.13, heading = 60.94},
--         {id = 8, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -160.2, y = -1067.93, z = 36.13, heading = 3.31448912620544},
--         {id = 9, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -165.83, y = -1083.26, z = 36.13, heading = 3.31448912620544},
--         {id = 10, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -179.47, y = -1078.39, z = 42.13, heading = 82.01},
--         {id = 11, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -173.8, y = -1062.78, z = 42.13, heading = 60.94},
--         {id = 12, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -160.2, y = -1067.93, z = 42.13, heading = 3.31448912620544},
--         {id = 13, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -165.83, y = -1083.26, z = 42.13, heading = 3.31448912620544},
--     },

--    Vehicles = {
--        {id = 1, id2 = 1, Vehicle = "rhino", modelHash = "s_m_y_ammucity_01", x = -203.92, y = -1096.21, z = 21.16, heading = 143.9},
--    }

--   },
--]]
}
